Bug 518538 - FeatureFeature: add usb id 083a:e503 to the list of supported devices
Summary: FeatureFeature: add usb id 083a:e503 to the list of supported devices
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-20 19:55 UTC by Olaf Petermann
Modified: 2009-09-06 20:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-27 19:03:39 UTC


Attachments (Terms of Use)
source file of the zd1211rw driver were I added the new vendor ID (37.94 KB, text/plain)
2009-08-22 09:52 UTC, Olaf Petermann
no flags Details

Description Olaf Petermann 2009-08-20 19:55:12 UTC
Description of problem:
could you please add the vendor id 083a:e503 to the list of the devices supported by the zd1211rw device driver. This vendor id is used by the wireless lan usb device delivered by Arcor (Vodafone) in Germany 


Version-Release number of selected component (if applicable):
kernel version 2.6.29.4

Comment 1 Nicolas Chauvet (kwizart) 2009-08-21 09:49:59 UTC
This should be reported to the kernel component (where the zd1211rw driver live), not the firmware.

Comment 2 John W. Linville 2009-08-21 13:17:21 UTC
Olaf, have you done this in your kernels?  Does the driver actually work with that device?

Comment 3 Olaf Petermann 2009-08-22 09:50:08 UTC
John, I have just added the vendor id to the static struct usb_device_id usb_ids[] of the kd_usb.c, recompiled the kernel and modules and everything worked fine. I've been using this device since without any issues. Even WPA2 is working well.

Comment 4 Olaf Petermann 2009-08-22 09:52:19 UTC
Created attachment 358300 [details]
source file of the zd1211rw driver were I added the new vendor ID

Comment 5 John W. Linville 2009-08-27 19:03:39 UTC
This is upstream already:

commit f72151fb6820e90ce12a15e2768aa41150c5186d
Author: Hin-Tak Leung <hintak.leung@gmail.com>
Date:   Tue Jun 16 03:15:56 2009 +0100

    zd1211rw: adding 083a:e503 as a ZD1211B device
    
    Hans Pontar reported success on the sourceforge zd1211-devs mailing list.
    The device is branded "Arcor Easy Stick A 50 WLAN" (device manufactured
    by SMC for a German ISP - SMC model name: WN4501H-LF-IR). General
    information and Windows driver are available under (German only):
    
    http://www.arcor.de/hilfe/neu/index.php?sid=&aktion=anzeigen&rubrik=00401814
    
    Device details:
    
    USB-IDs: Vendor: 0x083A Device: 0xE503
    Chip ID: zd1211b chip 083a:e503 v4810 high 00-1d-19 AL2230S_RF pa0 g--N-
    
    Signed-off-by: Hin-Tak Leung <htl10@users.sourceforge.net>
    Tested-by: Hans Pontar <pontar@gmx.de>
    Signed-off-by: John W. Linville <linville@tuxdriver.com>

I have added the patch to the F-11 kernels starting with the one here:

   http://koji.fedoraproject.org/koji/buildinfo?buildID=129547

Hth!

Comment 6 Fedora Update System 2009-08-28 22:28:41 UTC
kernel-2.6.30.5-43.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kernel-2.6.30.5-43.fc11

Comment 7 Fedora Update System 2009-09-06 20:44:21 UTC
kernel-2.6.30.5-43.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.